<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XDGFConnection (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XDGFConnection (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDGFConnection.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFCell.html"
               title="class in org.apache.poi.xdgf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFDocument.html"
               title="class in org.apache.poi.xdgf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xdgf/usermodel/XDGFConnection.html"
               target="_top">Frames</a></li>
        <li><a href="XDGFConnection.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xdgf.usermodel</div>
    <h2 title="Class XDGFConnection" class="title">Class XDGFConnection</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xdgf.usermodel.XDGFConnection</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">XDGFConnection</span>
extends java.lang.Object</pre>
                <div class="block">Represents connections in a Visio diagram.

                    Note that just because something appears to be visually connected in a
                    document does not mean that the user actually connected the elements. It
                    turns out there are a lot of ways that a careless user can neglect to
                    properly make connections that will not be recorded in the diagram
                    in a machine readable way.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFConnection.html#visBegin">visBegin</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFConnection.html#visBeginX">visBeginX</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFConnection.html#visBeginY">visBeginY</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFConnection.html#visBottomEdge">visBottomEdge</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFConnection.html#visCenterEdge">visCenterEdge</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFConnection.html#visConnectFromError">visConnectFromError</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFConnection.html#visConnectToError">visConnectToError</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFConnection.html#visEnd">visEnd</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFConnection.html#visEndX">visEndX</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFConnection.html#visEndY">visEndY</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFConnection.html#visFromAngle">visFromAngle</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFConnection.html#visFromNone">visFromNone</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFConnection.html#visFromPin">visFromPin</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFConnection.html#visGuideIntersect">visGuideIntersect</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFConnection.html#visGuideX">visGuideX</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFConnection.html#visGuideY">visGuideY</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFConnection.html#visLeftEdge">visLeftEdge</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFConnection.html#visMiddleEdge">visMiddleEdge</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFConnection.html#visRightEdge">visRightEdge</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFConnection.html#visToAngle">visToAngle</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFConnection.html#visToNone">visToNone</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFConnection.html#visTopEdge">visTopEdge</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFConnection.html#visWholeShape">visWholeShape</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFConnection.html#XDGFConnection-com.microsoft.schemas.office.visio.x2012.main.ConnectType-org.apache.poi.xdgf.usermodel.XDGFShape-org.apache.poi.xdgf.usermodel.XDGFShape-">XDGFConnection</a></span>(com.microsoft.schemas.office.visio.x2012.main.ConnectType&nbsp;connect,
                                    <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                       title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;from,
                                    <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                       title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;to)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFCell.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFCell</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFConnection.html#getFromCell--">getFromCell</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFConnection.html#getFromCellName--">getFromCellName</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.lang.Integer</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFConnection.html#getFromPart--">getFromPart</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFConnection.html#getFromShape--">getFromShape</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFConnection.html#getToCellName--">getToCellName</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>java.lang.Integer</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFConnection.html#getToPart--">getToPart</a></span>()</code>
                                    <div class="block">The ToPart property identifies the part of a shape to which
                                        another
                                        shape is glued, such as its begin point or endpoint, one of its edges,
                                        or a connection point.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFConnection.html#getToShape--">getToShape</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="visConnectFromError">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>visConnectFromError</h4>
                                <pre>public static final&nbsp;int visConnectFromError</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.xdgf.usermodel.XDGFConnection.visConnectFromError">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="visFromNone">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>visFromNone</h4>
                                <pre>public static final&nbsp;int visFromNone</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.xdgf.usermodel.XDGFConnection.visFromNone">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="visLeftEdge">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>visLeftEdge</h4>
                                <pre>public static final&nbsp;int visLeftEdge</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.xdgf.usermodel.XDGFConnection.visLeftEdge">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="visCenterEdge">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>visCenterEdge</h4>
                                <pre>public static final&nbsp;int visCenterEdge</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.xdgf.usermodel.XDGFConnection.visCenterEdge">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="visRightEdge">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>visRightEdge</h4>
                                <pre>public static final&nbsp;int visRightEdge</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.xdgf.usermodel.XDGFConnection.visRightEdge">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="visBottomEdge">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>visBottomEdge</h4>
                                <pre>public static final&nbsp;int visBottomEdge</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.xdgf.usermodel.XDGFConnection.visBottomEdge">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="visMiddleEdge">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>visMiddleEdge</h4>
                                <pre>public static final&nbsp;int visMiddleEdge</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.xdgf.usermodel.XDGFConnection.visMiddleEdge">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="visTopEdge">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>visTopEdge</h4>
                                <pre>public static final&nbsp;int visTopEdge</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.xdgf.usermodel.XDGFConnection.visTopEdge">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="visBeginX">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>visBeginX</h4>
                                <pre>public static final&nbsp;int visBeginX</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.xdgf.usermodel.XDGFConnection.visBeginX">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="visBeginY">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>visBeginY</h4>
                                <pre>public static final&nbsp;int visBeginY</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.xdgf.usermodel.XDGFConnection.visBeginY">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="visBegin">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>visBegin</h4>
                                <pre>public static final&nbsp;int visBegin</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.xdgf.usermodel.XDGFConnection.visBegin">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="visEndX">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>visEndX</h4>
                                <pre>public static final&nbsp;int visEndX</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.xdgf.usermodel.XDGFConnection.visEndX">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="visEndY">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>visEndY</h4>
                                <pre>public static final&nbsp;int visEndY</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.xdgf.usermodel.XDGFConnection.visEndY">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="visEnd">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>visEnd</h4>
                                <pre>public static final&nbsp;int visEnd</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.xdgf.usermodel.XDGFConnection.visEnd">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="visFromAngle">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>visFromAngle</h4>
                                <pre>public static final&nbsp;int visFromAngle</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.xdgf.usermodel.XDGFConnection.visFromAngle">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="visFromPin">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>visFromPin</h4>
                                <pre>public static final&nbsp;int visFromPin</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.xdgf.usermodel.XDGFConnection.visFromPin">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="visConnectToError">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>visConnectToError</h4>
                                <pre>public static final&nbsp;int visConnectToError</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.xdgf.usermodel.XDGFConnection.visConnectToError">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="visToNone">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>visToNone</h4>
                                <pre>public static final&nbsp;int visToNone</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.xdgf.usermodel.XDGFConnection.visToNone">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="visGuideX">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>visGuideX</h4>
                                <pre>public static final&nbsp;int visGuideX</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.xdgf.usermodel.XDGFConnection.visGuideX">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="visGuideY">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>visGuideY</h4>
                                <pre>public static final&nbsp;int visGuideY</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.xdgf.usermodel.XDGFConnection.visGuideY">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="visWholeShape">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>visWholeShape</h4>
                                <pre>public static final&nbsp;int visWholeShape</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.xdgf.usermodel.XDGFConnection.visWholeShape">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="visGuideIntersect">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>visGuideIntersect</h4>
                                <pre>public static final&nbsp;int visGuideIntersect</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.xdgf.usermodel.XDGFConnection.visGuideIntersect">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="visToAngle">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>visToAngle</h4>
                                <pre>public static final&nbsp;int visToAngle</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.xdgf.usermodel.XDGFConnection.visToAngle">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XDGFConnection-com.microsoft.schemas.office.visio.x2012.main.ConnectType-org.apache.poi.xdgf.usermodel.XDGFShape-org.apache.poi.xdgf.usermodel.XDGFShape-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XDGFConnection</h4>
                                <pre>public&nbsp;XDGFConnection(com.microsoft.schemas.office.visio.x2012.main.ConnectType&nbsp;connect,
                      <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                         title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;from,
                      <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                         title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;to)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getFromShape--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFromShape</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                                    title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;getFromShape()</pre>
                            </li>
                        </ul>
                        <a name="getFromCell--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFromCell</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFCell.html"
                                                    title="class in org.apache.poi.xdgf.usermodel">XDGFCell</a>&nbsp;getFromCell()</pre>
                            </li>
                        </ul>
                        <a name="getFromCellName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFromCellName</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getFromCellName()</pre>
                            </li>
                        </ul>
                        <a name="getToShape--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getToShape</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                                    title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;getToShape()</pre>
                            </li>
                        </ul>
                        <a name="getToCellName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getToCellName</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getToCellName()</pre>
                            </li>
                        </ul>
                        <a name="getFromPart--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFromPart</h4>
                                <pre>public&nbsp;java.lang.Integer&nbsp;getFromPart()</pre>
                            </li>
                        </ul>
                        <a name="getToPart--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getToPart</h4>
                                <pre>public&nbsp;java.lang.Integer&nbsp;getToPart()</pre>
                                <div class="block">The ToPart property identifies the part of a shape to which another
                                    shape is glued, such as its begin point or endpoint, one of its edges,
                                    or a connection point.
                                </div>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDGFConnection.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFCell.html"
               title="class in org.apache.poi.xdgf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFDocument.html"
               title="class in org.apache.poi.xdgf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xdgf/usermodel/XDGFConnection.html"
               target="_top">Frames</a></li>
        <li><a href="XDGFConnection.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
